Link Search Menu Expand Document

GET /v1/policies/:id

Use this endpoint to retrieve an existing policy. The policy id is returned in the response when a quote is bound. See Quotes: Bind for details. Note, the renderable content will vary by product.

Path params

id – string, required

The UUID of the policy to retrieve.

Response examples


200 OK

{
  "id": "8f3a2b1c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
  "policy_number": "CYBER-2024-00123",
  "status": "active",
  "read_and_agreed": true,
  "created_at": "2024-05-23T01:08:54.907Z",
  "updated_at": "2024-05-23T01:08:54.907Z",
  "start_at": "2024-05-23T00:00:00.000Z",
  "end_at": "2025-05-23T00:00:00.000Z",
  "timezone": "Australia/Sydney",
  "name_of_insured": "Mary Smith Accounting Pty Ltd",
  "customer": {
    "id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
    "name": "Mary Smith",
    "email": "mary@example.com",
    "phone": "+61400000000",
    "created_at": "2024-05-23T01:08:54.907Z",
    "updated_at": "2024-05-23T01:08:54.907Z"
  },
  "renderable": {
    "parameters": {},
    "schedule": {},
    "pricing": {}
  }
}



404 Not Found

Returned when the policy does not exist or does not belong to the authenticated partner.

{}